Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2271505 - ktorrent for epel 9
Summary: ktorrent for epel 9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ktorrent
Version: epel9
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-25 18:58 UTC by timothyaw1
Modified: 2024-04-06 02:05 UTC (History)
5 users (show)

Fixed In Version: ktorrent-23.04.3-2.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-06 02:05:08 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description timothyaw1 2024-03-25 18:58:27 UTC
Please branch and build ktorrent in epel9.

Comment 1 Troy Dawson 2024-03-26 21:58:52 UTC
Looks like we need GeoIP into epel9 to build ktorrent.
Not a blocker, because it looks like GeoIP builds on epel9.  But we'll have to request that package for epel9 as well.

Comment 2 timothyaw1 2024-03-28 17:23:28 UTC
Thank you for looking into this.

Comment 3 Troy Dawson 2024-03-28 18:17:06 UTC
Here's the problem, and the reason geoip isn't in epel9
https://bugzilla.redhat.com/show_bug.cgi?id=2066787

"Please do NOT branch GeoIP for EPEL 9, because MaxMind, the GeoIP upstream, has clearly declared the end of life for GeoIP at https://github.com/maxmind/geoip-api-c/ - and personally, I would somehow question the health and further development of a project currently still depending on GeoIP two years after the deprecation notice (and 7.5 years after libmaxminddb v1.0.0 as first stable release, or even 9 years after the introduction of libmaxminddb in general)."

But, as I look at ktorrent, it looks like we don't really need system GeoIP.  It's not used in rawhide right now.
I'm going to do a few tests and see if I can get it without system GeoIP.

Comment 4 Troy Dawson 2024-03-28 18:42:03 UTC
Yep, geoip is no longer a requirement.
I'm going to build it, and get it on my KDE list so it automatically get's updates with the other KDE packages in epel9

Comment 5 Fedora Update System 2024-03-28 19:18:34 UTC
FEDORA-EPEL-2024-0a359abe24 (ktorrent-23.04.3-2.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-0a359abe24

Comment 6 Fedora Update System 2024-03-29 02:35:17 UTC
FEDORA-EPEL-2024-0a359abe24 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-0a359abe24

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-04-06 02:05:08 UTC
FEDORA-EPEL-2024-0a359abe24 (ktorrent-23.04.3-2.el9) has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.